Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01546 Gameplay Minor Always Mar 18, 2008, 19:45 Jun 2, 2014, 16:06
Tester etabeta View Status Public Platform SDLMAME
Assigned To Mamesick Resolution Fixed OS MacOS X
Status [?] Resolved Driver taito_l.cpp
Version 0.123u5 Fixed in Version 0.154 Build Normal
Summary 01546: champwr: The gameplay is too fast.
Description After the fix to Fighting Hawk's slowdown problem in 0.122u2, champwr now runs too fast (faster animations and missing music). Since the clock measurements by Kold666 have been confirmed, the problem is probably somewhere else in the driver (which is quite old and maybe needs a rewrite).
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version 0.122u2
Affected Sets / Systems champwr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.00237
etabeta
Developer
Mar 18, 2008, 20:43
a video from the pcb is available at

http://www.mamechannel.it/varie/champwr.zip

thanks to Stekka51 (and Swos)
User avatar
No.00240
Tafoid
Administrator
Mar 18, 2008, 23:08
Hard to tell by the video if that is some sort of MAME cab running an older version or if it's truly a PCB (I'll assume the latter). In any case, there is a game speed issue that would appear to need to be addressed (judging from the video). Sound issues are hard to know given the recording and driver is flagged as imperfect sound already.
User avatar
No.00243
etabeta
Developer
Mar 19, 2008, 01:13
edited on: Mar 19, 2008, 01:14
it's from a pcb. it was already posted in the forum

http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=141895

but never entered in the database :)
User avatar
No.00246
Kold666
Developer
Mar 19, 2008, 06:10
the fix would consist to revert back to 1 the irq per frames but that would break again Fighting Hawk (it has the machine driver in common)
I also created a machine driver for only Champion Wreslter but it wasn't accepted probably because it was considered an hack.
I think the only way it to rewrite the driver
User avatar
No.00250
Haze
Senior Tester
Mar 19, 2008, 08:46
well this is what happens when you start to hack the number of interrupts per frame without measuring them / figuring out their sources properly.
User avatar
No.02918
Smitdogg
Moderator
Oct 24, 2008, 18:44
The link posted by etabeta is not working anymore. If anybody has the video, please attach it.
User avatar
No.10747
Mamesick
Senior Tester
Jun 1, 2014, 07:22
Is this issue still valid? The interrupt hack for Fire Hawk is the cause and it was never removed from the driver. So I'm asking...